IMS TM Resource Adapter: Supported development environments and runtime environments

Product readme


Abstract

The IMS™ TM resource adapter is included in several IBM® Rational® and WebSphere® integrated development environments (IDEs). This document provides a list of these IDEs and the supported versions of the IMS TM resource adapter. This document also provides a list of these IDEs and the supported versions of the target IMS and the integrated IMS Connect function based on the version of the IMS TM resource adapter.

Content

The IMS TM resource adapter uses IMS Connect, which is provided as an integrated function of IMS. For more information about IMS Connect, see the IMS Connect website.


The following table shows the supported development environments and runtime environments.

Table 1. Application development environments and runtime environments

IDE
IMS TM Resource Adapter Version
Target Version of IMS with integrated IMS Connect 1
Target Application Server
Remarks
Rational Application Developer (RAD) V8.0.4 or later
  • V13
  • V12
  • V11
V13, V12, V11
  • WebSphere Application Server V8, V7, V6.1.0.19 or later2
  • WebSphere Application Server Community Edition V2.1 or later
  • Other generic Java EE 1.4 or later certified application servers
Use the message-driven bean programming model (recommended) or the J2C Java™ bean programming mode
Rational Application Developer (RAD) V8.0.2 or earlier
  • V11
V12, V11
  • WebSphere Application Server V8, V7, V6.1.0.19 or later2
  • WebSphere Application Server Community Edition V2.1 or later
  • Other generic Java EE 1.4 or later certifiedapplication servers
Use the message-driven bean programming model (recommended) or the J2C Java bean programming mode
Rational Application Developer (RAD) V7
  • V113
V12, V11
  • WebSphere Application Server V8, V7, V6.1.0.19 or later2
  • WebSphere Application Server Community Edition V2.1 or later
  • Other generic Java EE 1.4 or later certified application servers
Use the message-driven bean programming model (recommended) or the J2C Java bean programming mode
WebSphere Message Broker (WMB) Toolkit V8, V7, V6.1.0.3 or later
  • V12.1 (in WMB V8)
V12, V11 WMB V8, V7, V6.1.0.3 or later Use the WMB programming model
IBM IntegrationDesigner V7.55 Included in Integration Designer:
  • V11.3
V12, V11 WebSphere Process Server V7.5 Use the SCA/SDO programming model
WebSphere Integration Developer (WID) V6.1 or later5
  • V10.3 (in WID V6.1)4
V12, V11 WebSphere Process Server V6.1 or later Use the SCA/SDO programming model
WebSphere Integration Developer (WID) V6.0.2 or later5
  • V10.2 (in WID V6.0.1)4
V12, V11 WebSphere Process Server V6.0.2 or later
WebSphere Transformation Extender (WTX) V8 - Design Studio V8.2.0.2 or later
  • V11.1 (in WTX V8.3)
  • V12.1 (in WTX V8.4)
V12, V11 WTX V8.2.0.2 or later Use the WTX programming model
  1. The integrated IMS Connect function can coexist with earlier or newer versions of IMS. See the Release Planning Guide for the version of IMS that you are using for IMS Connect coexistence considerations and coexistence APARs.
  2. IMS TM resource adapter can run in a managed Java EE 1.4 or later certified application server environment, including WebSphere Application Server Community Edition, with a subset of functions.
    • Two-phase commit (2PC), MFS functions, and conversational and global transactions (XA) are not supported.
    • For non-IBM Java EE 1.4 or later certified application servers, to receive IBM service support, the following requirements must be met:
      1. The IMS TM resource adapter IVP must run successfully.
      2. For specific functions, IBM support is provided if:
        • The problem can be recreated in the supported versions of WebSphere Application Server or WebSphere Application Server Community Edition, or
        • The problem is confirmed to be caused by the IMS TM resource adapter. Provide the diagnostic traces information when you open a problem report (PMR) to assist problem determination.
  3. If you have an older version of RAD that includes an older version of IMS TM Resource Adapter V10 or V11, you can import the RAR file for the latest version of V13, V12, or V11 of the IMS TM resource adapter into your J2C project manually. The minimum supported version is RAD V7.0.0.4 for architecture compatibility.

    To use the enhanced tooling support in Rational Application Developer to develop message-driven beans or Enterprise JavaBeans™ components to consume IMS synchronous or asynchronous callout messages, RAD V7.5.2 or later is required.
  4. To build composite business applications by reusing IMS conversational transactions, WebSphere Integration Developer Version 6.1 or later is required. The WebSphere Integration Developer includes an older version of IMS TM Resource Adapter. You can import the RAR file for the latest version of V13, V12, or V11 of the IMS TM resource adapter into your project manually. Creating exports in WebSphere Integration Developer to consume IMS callout messages is not supported.

Additional notes:
  • Applications developed with WID run on only WebSphere Process Server. The target application server versions for applications developed using RAD in WID are the same as those listed for RAD.
  • Rational Developer for System z® also includes the J2C wizard in RAD. Starting Version 7.5, Rational Developer for System z offers different packages. You need the package with Java, which includes the J2C wizard.
  • The target application server versions for RAD apply to both distributed and z/OS® platforms.
  • Applications developed with a given level of IBM Integration Designer, WID, or RAD, are supported for deployment on the target application server version and later versions.

Original publication date

2009/10/30

Rate this page:

(0 users)Average rating

Document information


More support for:

IMS
Transaction Manager

Software version:

11.1, 12.1, 13.1

Operating system(s):

z/OS

Reference #:

7017027

Modified date:

2013-10-25

Translate my page

Machine Translation

Content navigation